<!-- 搜索表单 -->
<template>
  <a-space :size="10" style="flex-wrap: wrap">
    <a-button type="primary" class="ele-btn-icon" @click="add">
      <template #icon>
        <PlusOutlined/>
      </template>
      <span>添加</span>
    </a-button>
<!--    <a-radio-group v-model:value="where.soon" @change="search">-->
<!--      <a-radio-button :value="1"-->
<!--      >运行中-->
<!--      </a-radio-button-->
<!--      >-->
<!--      <a-radio-button :value="-1"-->
<!--      >已过期-->
<!--      </a-radio-button-->
<!--      >-->
<!--    </a-radio-group>-->
    <a-input-search
      allow-clear
      placeholder="请输入IP"
      style="width: 280px"
      v-model:value="where.keywords"
      @pressEnter="search"
      @search="search"
    />
    <a-button @click="reset">重置</a-button>
    <a-radio-group v-model:value="where.deleted" @change="search">
      <a-radio-button :value="1"
      >回收站
      </a-radio-button
      >
    </a-radio-group>
  </a-space>
</template>

<script lang="ts" setup>
import {PlusOutlined} from '@ant-design/icons-vue';
import {watch} from 'vue';
import useSearch from "@/utils/use-search";
import {OaAssetsParam} from "@/api/oa/oaAssets/model";

const props = withDefaults(
  defineProps<{
    // 选中的角色
    selection?: [];
  }>(),
  {}
);

const emit = defineEmits<{
  (e: 'search', where?: OaAssetsParam): void;
  (e: 'add'): void;
  (e: 'remove'): void;
  (e: 'batchMove'): void;
}>();

// 表单数据
const {where,resetFields} = useSearch<OaAssetsParam>({
  assetsId: undefined,
  deleted: undefined,
  soon: 1,
  keywords: ''
});

// 新增
const add = () => {
  emit('add');
};

const search = () => {
  emit('search', where);
};

/*  重置 */
const reset = () => {
  resetFields();
  search();
};

watch(
  () => props.selection,
  () => {
  }
);
</script>
